/*
postdev.h
Copyright (C)2002  Al Kingsley


  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   Don't write to me at: kingsley@bananahead.com 

   Part of:
   BhPos, Copyright (C) 2001 Al Kingsley
   BhPos comes with ABSOLUTELY NO WARRANTY.

*/

#ifndef _POST_DEVICES_
#define _POST_DEVICES_

enum BhPostDevice{
   POST_DEV_KEYB=1,
   POST_DEV_KEYLOCK,
   POST_DEV_DISPLAY,
   POST_DEV_MAGSWIPE,
   POST_DEV_CASHD,
   POST_DEV_BCSCANNER,
   POST_DEV_CUSTDISP,
   POST_DEV_PRINTER,
   POST_DEV_MICR,
   POST_DEV_SCALES,
   POST_DEV_SMARTCARD,
   POST_DEV_TABLET,
   POST_DEV_PORTABLE
};

enum BhPostDeviceType{
   POST_DEVTYPE_NONE=0,
   POST_DEVTYPE_DEVICE,
   POST_DEVTYPE_INTERNAL,
   POST_DEVTYPE_KEYB,
   POST_DEVTYPE_PRINTER,
   POST_DEVTYPE_TOUCHSCR
};

#define POST_KEYBOARD_NONE     0
#define POST_KEYBOARD_DEVICE   1
#define POST_KEYBOARD_TOUCHSCR 2

#define POST_KEYLOCK_NONE      0
#define POST_KEYLOCK_DEVICE    1
#define POST_KEYLOCK_INTERNAL  2

#define POST_DISPLAY_NONE      0
#define POST_DISPLAY_DEVICE    1
#define POST_DISPLAY_TOUCHSCR  2

#define POST_MAGSWIPE_NONE     0
#define POST_MAGSWIPE_DEVICE   1
#define POST_MAGSWIPE_KEYB     2
#define POST_MAGSWIPE_TABLET   3

#define POST_CASHD_NONE        0
#define POST_CASHD_DEVICE      1
#define POST_CASHD_PRINTER     2
#define POST_CASHD_SMART       3
#define POST_CASHD_USB         4

#define POST_BCSCANNER_NONE    0
#define POST_BCSCANNER_DEVICE  1
#define POST_BCSCANNER_KEYB    2
#define POST_BCSCANNER_PS2     3

#define POST_CUSTDISP_NONE     0
#define POST_CUSTDISP_DEVICE   1
#define POST_CUSTDISP_PRINTER  2
#define POST_CUSTDISP_USB      3

#define POST_PRINTER_NONE      0
#define POST_PRINTER_DEVICE    1
#define POST_PRINTER_LIB       2
#define POST_PRINTER_USB       3

#define POST_MICR_NONE         0
#define POST_MICR_DEVICE       1
#define POST_MICR_PRINTER      2

#define POST_SCALES_NONE       0
#define POST_SCALES_DEVICE     1

#define POST_SMARTCARD_NONE    0
#define POST_SMARTCARD_DEVICE  1
#define POST_SMARTCARD_KEYB    2

#define POST_TABLET_NONE       0
#define POST_TABLET_DEVICE     1

#define POST_PORTABLE_NONE     0
#define POST_PORTABLE_DEVICE   1

typedef int (*BHDEV_CALLBACK)(int, int, int, void *);

#endif // post_devices
