/*
bhinterface.h - fixed interface numbers
Copyright (C)2002  Al Kingsley


  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   Don't write to me at: kingsley@bananahead.com 

   Part of:
   BhPos, Copyright (C) 2002 Al Kingsley
   BhPos comes with ABSOLUTELY NO WARRANTY.

*/
#ifndef _BHINTERFACE_H_
#define _BHINTERFACE_H_

#define BHIF_START         2
#define BHIF_END           255
#define BHIF_RESERVED      253

#define BHIF_NULL          1
#define BHIF_TRANSACTION   2
#define BHIF_CASHDRAWER    3
#define BHIF_PAYIN         4
#define BHIF_PAYOUT        5
#define BHIF_TRANSUMMARY   6
#define BHIF_USERSUMMARY   7
#define BHIF_XTAPE         8
#define BHIF_ZTAPE         9
#define BHIF_RETURNS       10
#define BHIF_DISCOUNT      11
#define BHIF_EPHEMIN       12

#endif   // _BHINTERFACE_H_
