/*
bhkevent.h
Copyright (C)2001  Al Kingsley


  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Don't write to me at: kingsley@bananahead.com 

	Part of:
	BhPos, Copyright (C) 2001 Al Kingsley
	BhPos comes with ABSOLUTELY NO WARRANTY.

*/

#ifndef _BH_KEVENT_
#define _BH_KEVENT_

namespace BhPos{

enum BhKeyEvent{
   BHKEY_EVENT_QUANTITY,
   BHKEY_EVENT_INCITEM,
   BHKEY_EVENT_DECITEM,
   BHKEY_EVENT_TRANSCANCEL,
   BHKEY_EVENT_TRANSSTORE,
   BHKEY_EVENT_TRANSRETREIVE,
   BHKEY_EVENT_TRANSDEFER,
   BHKEY_EVENT_TRANSLINK,
   BHKEY_EVENT_CASHSALE,
   BHKEY_EVENT_PAYCASH,
   BHKEY_EVENT_PAYCREDIT,
   BHKEY_EVENT_PAYCHEQUE,
   BHKEY_EVENT_PAYTOKEN,
   BHKEY_EVENT_PAYVOUCHER,
   BHKEY_EVENT_PAYSTORE,
   BHKEY_EVENT_PAYOTHER,
   BHKEY_EVENT_PRINTMENU,
   BHKEY_EVENT_SWAPAB,
   BHKEY_EVENT_SWAPINC,
   BHKEY_EVENT_SWAPDEC,
   BHKEY_EVENT_SWAPMENU,
   BHKEY_EVENT_REQSUPER,
   BHKEY_EVENT_REQAUTH,
   BHKEY_EVENT_REQCHANGE,
   BHKEY_EVENT_REQBREAK,
   BHKEY_EVENT_REQOTHER,
   BHKEY_EVENT_REQMENU,
   BHKEY_EVENT_MODERETURNS,
   BHKEY_EVENT_MODECASHADJUST,
   BHKEY_EVENT_MODEGOODSIN,
   BHKEY_EVENT_MODEGOODOUT,
   BHKEY_EVENT_MODEINVOICE,
   BHKEY_EVENT_MODECUSTOMER,
   BHKEY_EVENT_MODEPLUENTRY,
   BHKEY_EVENT_LOGOUT,
   BHKEY_EVENT_LOGIN,
   BHKEY_EVENT_PLULOOKUP,
   BHKEY_EVENT_CMC7MICR0,
   BHKEY_EVENT_CMC7MICR1,
   BHKEY_EVENT_CMC7MICR2,
   BHKEY_EVENT_CMC7MICR3,
   BHKEY_EVENT_CMC7MICR4,
   BHKEY_EVENT_CMC7MICR5,
   BHKEY_EVENT_CMC7MICR6,
   BHKEY_EVENT_CMC7MICR7,
   BHKEY_EVENT_CMC7MICR8,
   BHKEY_EVENT_CMC7MICR9,
   BHKEY_EVENT_CMC7MICRA,
   BHKEY_EVENT_CMC7MICRB,
   BHKEY_EVENT_CMC7MICRC,
   BHKEY_EVENT_CMC7MICRD,
   BHKEY_EVENT_CMC7MICRE,
   BHKEY_EVENT_EB13MICR0,
   BHKEY_EVENT_EB13MICR1,
   BHKEY_EVENT_EB13MICR2,
   BHKEY_EVENT_EB13MICR3,
   BHKEY_EVENT_EB13MICR4,
   BHKEY_EVENT_EB13MICR5,
   BHKEY_EVENT_EB13MICR6,
   BHKEY_EVENT_EB13MICR7,
   BHKEY_EVENT_EB13MICR8,
   BHKEY_EVENT_EB13MICR9,
   BHKEY_EVENT_EB13MICRA,
   BHKEY_EVENT_EB13MICRB,
   BHKEY_EVENT_EB13MICRC,
   BHKEY_EVENT_EB13MICRD
};

}
#endif // _BH_KEVENT_
